# cavepedia

## Requirements

- go 1.16+


## Add more documents

1. Download documents to `/bigdata/archive/cavepedia/cavepedia-data/00_files`
1. Process documents to generate json files
1. Create a new release


## Run

1. Download latest release
1. Run it


## Run in docker

1. Run `./docker.sh up`


## Release

On a reasonably powerful PC that can access `/bigdata`:

1. Remove `cavepedia.bleve` if it exists
1. Run `./launch.sh build release` to build linux and windows binaries
1. Run `./launch.sh run` to index documents
1. Run `./launch.sh release` to bundle the data, binaries, docker.sh script, and index data into a zip
1. Copy the zip to `/bigdata/archive/cavepedia/release/cavepedia-X.Y.zip`


## TODO

- highlight fuzzy matching
- speed up pdf loading
- Remove cavepedia-data repo eventually
